ensure that Grok 1.0 has Windows binary eggs

Reported by Martijn Faassen on 2009-02-20
4
Affects Status Importance Assigned to Milestone
grok
Critical
Unassigned

Bug Description

We need to ensure that we supply binary eggs for Python 2.4 and Python 2.5 on Windows for all the binary packages that Grok needs. This means we should go through the eggs Grok installs, see which are binary, and then check whether a windows release for that version of the egg is available on PyPi. If any are missing, we make a list of them and report this on zope-dev requesting the Zope framework developers to create them.

Changed in grok:
importance: Undecided → Critical
milestone: none → 1.0
Michael Haubenwallner (d2m) wrote :

I did a trunk install to a blank egg directory, searched the eggs for '.c' extension and checked with PyPI

egg py2.4 py2.5 extra
------------------------ ----- ----- -----
zope.app.container-3.5.6 X X
zope.security-3.4.1 X X
zope.proxy-3.4.2 X X
zope.i18nmessageid-3.4.3 X X py2.6 available
ZODB3-3.8.1 X X
zope.hookable-3.4.0 X X py2.6 available
zope.interface-3.4.1 X X

All windows binarys (2.4, 2.5) are available

Changed in grok:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers